1

After updating my CiviCRM install I have noticed I am getting the following errors in my console on pages that have my donation forms.

jquery-ui.min.js:6 Uncaught TypeError: V.each is not a function
jquery.mousewheel.min.js:1 Uncaught TypeError: Cannot read properties of undefined (reading 'fixHooks')
select2.min.js:1 Uncaught TypeError: e.extend is not a function
jquery.form.min.js:11 Uncaught TypeError: e(...).get is not a function

These errors continue on and it looks like just about every .js file is throwing an error. I am going back through the release notes but of course I can not confirm which version I upgraded from to 5.46. Is there anything obvious I can check for why this is not working?

3
  • I have a few questions: what payment processor are you using? Are you using a shortcode or direct link to the donation page? If a shortcode, is the page built with a page builder? Mar 9, 2022 at 22:27
  • I'm also seeing this behaviour on Wordpress 5.9.2 CiviCRM 5.47.3 using stripe payment processor 6.7.1 Mar 30, 2022 at 23:57
  • Also seeing on a public profile page. Mar 30, 2022 at 23:59

1 Answer 1

0

I had the same issue on a system with WordPress 5.8.4 and CiviCRM 5.47.4. and what solved it for us was one of the theme's compatibility function called Defer jQuery And jQuery Migrate which (un)changes the order in which jQuery / jQuery Migrate is registered.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.